GETENV(3)

NAME
getenv - get an environment variable

SYNOPSIS
#include <stdlib.h>

char *getenv(const char *name);

DESCRIPTION
The getenv() function searches the environment list for a string that matches the string pointed to by name. The strings are of the form name = value.

RETURN VALUE
The getenv() function returns a pointer to the value in the environment, or NULL if there is no match.

CONFORMING TO
SVID 3, POSIX, 4.3BSD, ISO 9899

SEE ALSO
clearenv(3), putenv(3), setenv(3), unsetenv(3), environ(7)